// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// create svg element:
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const circleGroup = svg
	.append('g')
	.attr('transform', 
        `translate(${width / 2}, ${height / 2})`)

const circle3 = circleGroup.append('circle')
	.attr('cx',-150)
  .attr('r', 100)
  .attr('fill', 'lightgreen')
	.on('mouseover', function(){
  circle3.attr('fill','black');})
	.on('mouseout', function(){
  d3.select(this).attr('fill','lightgreen')});

// Add the path using this helper function
svg.append('circle')
  .attr('cx', width/2)
  .attr('cy', height/2)
  .attr('r', 50)
  .attr('fill', 'hotpink');

svg.append('circle')
  .attr('cx', width/2+10)
  .attr('cy', height/2+10)
  .attr('r', 50)
  .attr('fill', 'black');

svg.append('circle')
  .attr('cx', width/2+20)
  .attr('cy', height/2+20)
  .attr('r', 50)
  .attr('fill', 'green')
	.attr('id', 'special');

function moveCircles(circle3) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})` 
    )
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${0})`
    );  
}

svg.append('rect')
	.attr('x', 0)
	.attr('y', 0)
	.attr('width', 200)
	.attr('height', 100)
  .attr('fill', 'black')
	.on('click', function() {
  	moveCircles(circle3)
	});